# GDKPd

Automate Your GDKP Auctions, Bids, & Payouts in Classic WoW.

<br>

### :gem:  **KEY FEATURES**

<br>

* Spend your raid playing the game -- not tracking bids or fumbling with tracking spreadsheets.
* GDKPd picks up bids in raid chat, announces, high bidders, winners, pot amounts, etc.
* NOTE: GDKPd is NOT required by raid members at all, only the Master Looter has to have it installed, but there are tools for bidders as well.

<br>

#### Taken from original add-on feature list. (https://www.wowace.com/projects/gdkpd)

<br>

An all-in-one GDKP distribution suite!

Features include:

* Chat scanning - no addon enforcement for bidders
* Pot tracker
* Multiple simultanous auctions
* Calculating distribution amounts
* Manual pot adjustments
* Cancelling auctions
* Reverting bids
* Specific minimum bids/increments by item level/id
* Option to distribute shares of the top bid to second/third bidder
* Auto-bid feature
* Visual auction tracking
* Loot announcing and automatic auctioning on bosses
* Complete pot history
* Saved pots
* Balance window
* and many more

Slash command usage:

* /gdkpd auction <itemlink> - Auction item
* /gdkpd ver - Displays currently installed version
* /gdkpd vercheck - Show the version check window
* /gdkpd history - Show the history window
* /gdkpd wipe - Wipe the history of pots (displays confirmation dialog)
* /gdkpd <anything other than the above> - Open configuration dialog

<br>

### :link:  **LINKS**

<br>

Download from CurseForge : https://www.curseforge.com/wow/addons/gdkpdclassic

Discord : https://discord.gg/HRQ2VZtphg

Github : https://github.com/Gogo1951/GDKPd-Classic

<br>

### :hand:  **CURRENT NEEDS**

<br>

Look... just a personal request. GDKPs get a bad rep because frankly a lot of people who run GDKPs are shady AF. This makes promoting GDKPd, and finding people to work on it really hard. Please stop being shady. For this add-on to be healthy, there needs to be some satisfaction that the work put in doesn't just make WoW a shittier place.

Suggestions for running a good GDKP...

* Be consistent with your rules.
* Set expectations that you expect all people to bid on upgrades. No exceptions.
* Set adequate min-bid amounts, and aggressive bid increments. If your mid-bid is 500, your bid increments should be 20% of that, or 100. It speeds up the run for everyone.
* Outlaw 'up-bidding' by people who are just being shady. If you set sufficient min-bid amounts, then it's on you as the raid organizer to stock the raid with active buyers.
* Be up-front what the parse requirements are, if you have those.
* Be up-front with what percentage you're taking as the organizer (and please, don't take more than 5% -- you aren't better than the people on your raid team).
* Run smooth runs. You won't have any trouble making money. I ran GDKPs when the game was real and hit gold cap on 2 toons. I ran them in Classic and had 150k before TBC even hit. All with 0% "org fee" -- you don't have to be greedy to make money. Take your 5%, that's fine... but please note that any more than that and you're just another shady fuck who is actively making it harder for me to develop a GDKP add-on. (=

<br>

### 🤑 HISTORY

<br>

GDKPs have risen in popularity in Classic WoW. The most popular auctioning add-on used is GDKPd, but it hasn't been well-maintained.

I'm taking this project over for popt1x, but there are several versions of GDKPd available for download on CurseForge.

I don't have any intent to make money off of this, I just want to fix it up for the current users.

The licenses are all over the place. If you're the original license holder and you have any issues with me working on this code, please reach out.

Barring someone requesting me to take this down, I'm going to fix it up enough so it works for the people who rely on it to distribute loot.

Let's go!

Gogo

<br>

> GDKPdClassic; made by popt1x and last updated on 27 APR 2021 - https://www.curseforge.com/wow/addons/gdkpdclassic
>
> GDKPd Classic; made by elwizard0 and last updated on 29 SEP 2020 - https://www.curseforge.com/wow/addons/gdkpd-classic
>
> GDKPd; made by gallantron and last updated on 27 OCT 2014 - https://www.curseforge.com/wow/addons/gdkpd

<br>

### 🆒  **OTHER STUFF**

<br>

**Gargul**
> 
> GDKPd pairs really nicely with Gargul's Trade-Announce and Pack-Rat Master Looting Automation features!
> 
> Download from CurseForge : https://www.curseforge.com/wow/addons/gargul

<br>

#### Other Projects from the GDKPd Team

<br>

**Groupie** by Gogo, LemonDrake, & Kynura
> 
> A better LFG tool for Classic WoW.
> 
> Download from CurseForge : https://www.curseforge.com/wow/addons/groupie

<br>

**RankSentinel** by Kynura & Gogo
> 
> Help your team put their best foot forward.
> 
> Download from CurseForge : https://www.curseforge.com/wow/addons/ranksentinel
